#include "REG_MA84G564.H"

#define    SET         1
#define    CLR         0

#define    BIT         bit
#define    BYTE        unsigned char
#define    WORD        unsigned int
#define    DWORD       unsigned long

#define    XBYTE       BYTE volatile xdata
#define    CBYTE       BYTE volatile code


union WTYPE
  { BYTE B[2];
    WORD W;
  };
  
union DWTYPE
  { BYTE B[4];
    WORD W[2];
    DWORD DW;
  };


#define    HIBYTE( V1 )     ((BYTE)((V1) >> 8))
#define    LOBYTE( V1 )     ((BYTE)((V1) & 0xFF))




#define    ISP_ENABLE          0x80              // Set ISP Enable
#define    ISP_DISABLE         0x00              // Set ISP Disable